curl --request GET \
--url https://app.sandbox.rio.trade/api/addresses/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/addresses/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2024-07-25T19:57:09.812Z",
"userId": "66562bc04fe8bf83c577c178",
"crypto": "USDC",
"address": "0x32Be343B94f860124dC4fEe278FDCBD38C102D88",
"blockchainMemo": "1234567890",
"approved": true,
"lastChecked": "2024-05-28T19:58:39.617Z",
"label": "Crypto Address",
"advancedVerificationStatus": "initiated",
"id": "6656376f778ff28dd1c41c50"
}{
"errors": [
{
"code": 19,
"message": "Not authorized"
}
]
}Get address
Authorizations
Path Parameters
Id of the crypto address to be obtained.
Response
OK
The date and time when the address was created.
"2024-07-25T19:57:09.812Z"
Id of the user.
"66562bc04fe8bf83c577c178"
Crypto currency.
USDC, USDC_POLYGON_NXTB, SOL_USDC_PTHX, XLM_USDC_5F3T, USDC_BASECHAIN_ETH_5I5C, USDCE_TEMPO_MXYR, USDT_POLYGON, USDT_ERC20, TRX_USDT_S2UZ, USDT_BSC, SOL_USDT_EWAY, EUROC_ETH_F5NG, EURC_SOL, EURC_B609K9QB_Y213 Crypto address.
"0x32Be343B94f860124dC4fEe278FDCBD38C102D88"
The memo for the blockchain transaction (USDC Stellar addresses only). Please check if your wallet requires a memo for deposits. If so, please include the memo in the transaction. Failure to include the memo will result in the payment not being credited to your order and your funds may be permanently lost.
"1234567890"
Indicates if the address has been approved.
true
The date and time when the address was last verified.
"2024-05-28T19:58:39.617Z"
Label of the address.
"Crypto Address"
Advanced verification status.
initiated, sent, passed, cancelled Id of the address.
"6656376f778ff28dd1c41c50"